This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 245419 - Review Request: perl-MogileFS-Utils - Utilities for MogileFS
Review Request: perl-MogileFS-Utils - Utilities for MogileFS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 18:36 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 16:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-06-22 18:36:24 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-MogileFS-Utils.spec
SRPM URL: <http://rubenkerkhof.com/packages/perl-MogileFS-Utils-2.11-1.fc7.src.rpm
Description: Utilities for the MogileFS distributed storage system

Depends on perl-MogileFS-Client, which is in rawhide, and will be in F-7 updates soon.
Comment 1 Jason Tibbitts 2007-06-23 14:23:05 EDT
I don't think you actually need any BuildRequires except for
ExtUtils::MakeMaker.  The build process isn't much more than just copying some
files into place.  I don't suppose they harm anything, however.

Review:
* source files match upstream:
   9dc47a6cb45a6b172b7ad419886b2de8ffc6ade25241d3e230f57a99ca274464  
   MogileFS-Utils-2.11.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
? BuildRequires are excessive but not harmful.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl-MogileFS-Utils = 2.11-1.fc8
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Compress::Zlib)
   perl(Digest::MD5)
   perl(Getopt::Long)
   perl(LWP::Simple)
   perl(MogileFS::Client) >= 1
   perl(POSIX)
   perl(Pod::Usage)
   perl(Socket)
   perl(Time::HiRes)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present, but there's not really any test suite to run.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Ruben Kerkhof 2007-06-23 16:32:03 EDT
Thanks again Jason,

New Package CVS Request
=======================
Package Name: perl-MogileFS-Utils
Short Description: Utilities for MogileFS
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7 EL-4 EL-5

Comment 3 Kevin Fenzi 2007-06-25 15:43:33 EDT
cvs done.
Comment 4 Ruben Kerkhof 2007-06-25 16:57:08 EDT
Thanks Kevin.
Comment 5 Petr Pisar 2011-07-13 04:56:46 EDT
Package Change Request
======================
Package Name: perl-MogileFS-Utils
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 6 Jon Ciesla 2011-07-15 10:02:46 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.